Module | Sequel::Plugins::DefaultsSetter::ClassMethods
In: | lib/sequel/plugins/defaults_setter.rb

### Methods

set_dataset

### Attributes

default_values | [R] | The default values to set in initialize for this model. A hash with column symbol keys and default values. If the default values respond to `call`, it will be called to get the value, otherwise the value will be used directly. You can manually modify this hash to set specific default values, by default the ones will be parsed from the database.

### Public Instance methods

set_dataset(*)

Set the default values when loading the dataset.

[Source]

        # File lib/sequel/plugins/defaults_setter.rb, line 32
    32:         def set_dataset(*)
    33:           x = super
    34:           set_default_values
    35:           x
    36:         end

[Validate]